/*
 * LiasMainNameID.java
 *
 * Created on March 21, 2007, 10:43 AM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package net.metadiversity.diversity.navigator.db;


import java.sql.SQLException;
import java.util.logging.Level;
import java.util.logging.Logger;
import java.util.regex.*;

import java.sql.*;

 /**
 *
 * @author didi
 */
public class LiasMainNameID 
{
    java.sql.Connection con = null;

    java.lang.String db_url     = "jdbc:postgresql://hongkong:5432/bsm-email-list";
    java.lang.String db_user    = "didi";
    java.lang.String db_pwd     = "";
    java.lang.String db_driver  = "org.postgresql.Driver";

    /** Creates a new instance of LiasMainNameID */
    public LiasMainNameID() 
    {
    }
    
    
    
    private int getNameID( String str )
    {
        int id = 0;
        
        String reg = "(\\[)(\\p{Digit}*)(\\])";// "(^.*)(\\[)(\\p{Digit}*)(\\]).*";
        
        
        Pattern pattern = Pattern.compile( reg );        
        Matcher matcher = pattern.matcher( str );
            
            boolean found = false;
            
            while( matcher.find() ) 
            {
                // System.out.println( String.format( "I found the text \"%s\" starting at " + "index %d and ending at index %d.%n", matcher.group(), matcher.start(), matcher.end() ) );
                found = true;
                
                try 
                {
                    id = Integer.parseInt( matcher.group().substring( 1 , matcher.group().length() -1 ) );                    
                } 
                catch ( Exception ex ) 
                {
                    ex.printStackTrace();
                }
            }
            /*
            if( found == true )
            {
                System.out.println( "NameID: " + id  );                
            }        
            else
            {
                System.out.println( "NameID: none" );                
            }        
            */
            return id;
    }
    
    private int getNameIdFromItemScope( String str )
    {
        int id = 0;
        
        // Version 1:  String reg = "\\.\\.\\.@@\\p{Digit}*";
//        String reg = "http://id.snsb.info/TaxonNames_Fungi/\\p{Digit}*";
        
        String reg = "http://id.snsb.info/TaxonNames_Fungi/\\p{Digit}*";
        
        Pattern pattern = Pattern.compile( reg );        
        Matcher matcher = pattern.matcher( str );
            
            boolean found = false;
            
            while( matcher.find() ) 
            {
                System.out.println( String.format( "I found the text \"%s\" starting at " + "index %d and ending at index %d.%n", matcher.group(), matcher.start(), matcher.end() ) );
                found = true;
                
                try 
                {
                    id = Integer.parseInt( matcher.group().substring( 37 , matcher.group().length()  ) );                    
                } 
                catch ( Exception ex ) 
                {
                    ex.printStackTrace();
                }
            }
            /*
            if( found == true )
            {
                System.out.println( "NameID: " + id  );                
            }        
            else
            {
                System.out.println( "NameID: none" );                
            }        
            */
            return id;
    }
    
    private int connect()
    {
        // load driver and get DB-Connection
        try
        {
            Class.forName( "org.postgresql.Driver" );
            System.out.println( "Load PostgreSQL Driver..." );
        }
        catch( java.lang.ClassNotFoundException ee )
        {
            System.out.println( "ClassNotFoundException: " );
            System.out.println( ee.getMessage() );
            
            System.exit( 1 );
        }
        try
        {
            con = java.sql.DriverManager.getConnection( db_url, db_user, db_pwd );
        }            
        catch( java.sql.SQLException ex )
        {
            System.out.println( ex.getMessage() );             
            System.exit( 2 );
        }
        
        return 0;
    }
    
    public static void main( String []args )
    {
        LiasMainNameID lmid = new LiasMainNameID();
        
        if( args.length == 0)
        {
            lmid.db_url = "jdbc:postgresql://bsm6.snsb.info:5432/DiversityDescriptions_LIASmain";
            lmid.db_user = "didi";
            lmid.db_pwd = "Zu4K73az";
            
            /*
            String xxx = "@@replace this, e.g. using an lsid...@@2027372I";
            
            int        id = lmid.getNameIdFromItemScope( xxx );
            java.lang.System.out.println(" --> NameID: " + id);
            
            System.exit( 1 );
            */
        }
        else if( args.length != 3 )
        {
            System.out.println( "usage: java net.metadiversity.diversity.navigator.util url user password" );
            System.out.println( "" );
            System.out.println( "url:       \"jdbc:postgresql://snsb.info:5432/db-name\"" );
            System.out.println( "user:      username" );
            System.out.println( "password   password" );                        
        }
        else
        {
            lmid.db_url  = args[ 0 ];
            lmid.db_user = args[ 1 ];
            lmid.db_pwd  = args[ 2 ];
        }
            
        
        
        String str = "Erysiphe adunca var. regularis (R. Y. Zheng & G. Q. Chen) U. Braun & [111] S. Takam. [2000006] [A33] kljadfglkahdgfaldghflahgflagdf";
                
        int id = 0; 
                
        // id     = lmid.getNameID( str );
        // System.out.println( "NameID: " + id  );    
        
        
        lmid.connect();
        
//        String select = "SELECT \"IID\",\"ItemName\", \"NameID\" FROM \"Lias_ITEM\" WHERE \"ItemName\" LIKE '%\\[%\\]%'";
        
        
        String select = "SELECT \"Lias_ITEM\".\"IID\", \"Lias_ITEM\".\"NameID\", \"Lias_ITEM\".\"ItemName\", \"Lias_ItemScope\".\"URI\" FROM \"Lias_ITEM\"  INNER JOIN \"Lias_ItemScope\" ON \"Lias_ITEM\".\"IID\" = \"Lias_ItemScope\".\"IID\"";
        
        if( lmid.con != null )
        {
            try         
            {
                java.sql.Statement s = lmid.con.createStatement( ResultSet.TYPE_SCROLL_INSENSITIVE, ResultSet.CONCUR_UPDATABLE );                
                java.sql.ResultSet rs = s.executeQuery( select );
                
               

                while (rs.next()) 
                {
//                    str = rs.getString("ItemName");
                    str = rs.getString( "URI" );
                    java.lang.System.out.print( rs.getInt("IID") + " " + str );
                    // id = lmid.getNameID( str );
                    id = lmid.getNameIdFromItemScope( str );
                    java.lang.System.out.println(" --> NameID: " + id);
                    if( id != 0 )
                    {    
                        rs.updateInt( "NameID", id );
                        rs.updateRow();
                    }
                }
                
                rs.close();
                
                
            }
            catch (SQLException ex) 
            {
                Logger.getLogger("global").log(Level.SEVERE, null, ex);
            }
}    
    }
}
