package net.metadiversity.diversity.navigator.hibernate.bsm;

import java.io.Serializable;
import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;


/** @author Hibernate CodeGenerator */
public class TaxonNameExternalIdPK implements Serializable {

    /**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 3258125839068379441L;

    /** identifier field */
    private Integer nameId;

    /** identifier field */
    private Integer externalDatabaseId;

    /** full constructor */
    public TaxonNameExternalIdPK(Integer nameId, Integer externalDatabaseId) {
        this.nameId = nameId;
        this.externalDatabaseId = externalDatabaseId;
    }

    /** default constructor */
    public TaxonNameExternalIdPK() {
    }

    /** 
     *                @hibernate.property
     *                 column="NameID"
     *                 length="10"
     *             
     */
    public Integer getNameId() {
        return this.nameId;
    }

    public void setNameId(Integer nameId) {
        this.nameId = nameId;
    }

    /** 
     *                @hibernate.property
     *                 column="ExternalDatabaseID"
     *                 length="10"
     *             
     */
    public Integer getExternalDatabaseId() {
        return this.externalDatabaseId;
    }

    public void setExternalDatabaseId(Integer externalDatabaseId) {
        this.externalDatabaseId = externalDatabaseId;
    }

    public String toString() {
        return new ToStringBuilder(this)
            .append("nameId", getNameId())
            .append("externalDatabaseId", getExternalDatabaseId())
            .toString();
    }

    public boolean equals(Object other) {
        if ( (this == other ) ) return true;
        if ( !(other instanceof TaxonNameExternalIdPK) ) return false;
        TaxonNameExternalIdPK castOther = (TaxonNameExternalIdPK) other;
        return new EqualsBuilder()
            .append(this.getNameId(), castOther.getNameId())
            .append(this.getExternalDatabaseId(), castOther.getExternalDatabaseId())
            .isEquals();
    }

    public int hashCode() {
        return new HashCodeBuilder()
            .append(getNameId())
            .append(getExternalDatabaseId())
            .toHashCode();
    }

}
