package net.metadiversity.diversity.navigator.hibernate.ubt.collection;

import java.io.Serializable;
import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;


/** @author Hibernate CodeGenerator */
public class CollectingPersonPK implements Serializable {

    /**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 4051332257682109494L;

    /** identifier field */
    private Integer collectionSpecimenId;

    /** identifier field */
    private String collectorsName;

    /** full constructor */
    public CollectingPersonPK(Integer collectionSpecimenId, String collectorsName) {
        this.collectionSpecimenId = collectionSpecimenId;
        this.collectorsName = collectorsName;
    }

    /** default constructor */
    public CollectingPersonPK() {
    }

    public Integer getCollectionSpecimenId() {
        return this.collectionSpecimenId;
    }

    public void setCollectionSpecimenId(Integer collectionSpecimenId) {
        this.collectionSpecimenId = collectionSpecimenId;
    }

    public String getCollectorsName() {
        return this.collectorsName;
    }

    public void setCollectorsName(String collectorsName) {
        this.collectorsName = collectorsName;
    }

    public String toString() {
        return new ToStringBuilder(this)
            .append("collectionSpecimenId", getCollectionSpecimenId())
            .append("collectorsName", getCollectorsName())
            .toString();
    }

    public boolean equals(Object other) {
        if ( (this == other ) ) return true;
        if ( !(other instanceof CollectingPersonPK) ) return false;
        CollectingPersonPK castOther = (CollectingPersonPK) other;
        return new EqualsBuilder()
            .append(this.getCollectionSpecimenId(), castOther.getCollectionSpecimenId())
            .append(this.getCollectorsName(), castOther.getCollectorsName())
            .isEquals();
    }

    public int hashCode() {
        return new HashCodeBuilder()
            .append(getCollectionSpecimenId())
            .append(getCollectorsName())
            .toHashCode();
    }

}
