package net.metadiversity.diversity.navigator.hibernate.ubt.collection;

import java.io.Serializable;
import java.util.Date;
import java.util.Set;
import org.apache.commons.lang.builder.ToStringBuilder;


/** @author Hibernate CodeGenerator */
public class CollectionSpecimen implements Serializable {

    /**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 3977584688518674489L;

    /** identifier field */
    private Integer collectionSpecimenId;

    /** nullable persistent field */
    private Date collectionDateCache;

    /** nullable persistent field */
    private Short collectionDay;

    /** nullable persistent field */
    private Short collectionMonth;

    /** nullable persistent field */
    private Short collectionYear;

    /** nullable persistent field */
    private String collectionDateSupplement;

    /** nullable persistent field */
    private String localityDescription;

    /** nullable persistent field */
    private String labelTitle;

    /** nullable persistent field */
    private String labelTranscriptionNotes;

    /** nullable persistent field */
    private String accessionNumber;

    /** nullable persistent field */
    private Short accessionDay;

    /** nullable persistent field */
    private Short accessionMonth;

    /** nullable persistent field */
    private Short accessionYear;

    /** nullable persistent field */
    private String accessionDateSupplement;

    /** nullable persistent field */
    private Integer exsiccataId;

    /** nullable persistent field */
    private String exsiccataAbbreviation;

    /** nullable persistent field */
    private String exsiccataNumber;

    /** nullable persistent field */
    private String depositorsName;

    /** nullable persistent field */
    private String depositorsAccessionNumber;

    /** nullable persistent field */
    private String originalNotes;

    /** nullable persistent field */
    private String additionalNotes;

    /** nullable persistent field */
    private String loanInformation;

    /** nullable persistent field */
    private String problems;

    /** nullable persistent field */
    private Boolean printLabel;

    /** nullable persistent field */
    private Integer logCreatedBy;

    /** nullable persistent field */
    private Date logCreatedWhen;

    /** persistent field */
    private net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollDateCategoryEnum xcollDateCategoryEnumByCollectionDateCategory;

    /** persistent field */
    private net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollDateCategoryEnum xcollDateCategoryEnumByAccessionDateCategory;

    /** persistent field */
    private net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollLabelTypeEnum xcollLabelTypeEnum;

    /** persistent field */
    private net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollLabelTranscriptionEnum xcollLabelTranscriptionEnum;

    /** persistent field */
    private Set collectionStorages;

    /** persistent field */
    private Set collectionProjects;

    /** persistent field */
    private Set collectionDuplicates;

    /** persistent field */
    private Set collectingPersons;

    /** persistent field */
    private Set collectionImages;

    /** persistent field */
    private Set collectionGeographies;

    /** persistent field */
    private Set identificationUnits;

    /** full constructor */
    public CollectionSpecimen(Integer collectionSpecimenId, Date collectionDateCache, Short collectionDay, Short collectionMonth, Short collectionYear, String collectionDateSupplement, String localityDescription, String labelTitle, String labelTranscriptionNotes, String accessionNumber, Short accessionDay, Short accessionMonth, Short accessionYear, String accessionDateSupplement, Integer exsiccataId, String exsiccataAbbreviation, String exsiccataNumber, String depositorsName, String depositorsAccessionNumber, String originalNotes, String additionalNotes, String loanInformation, String problems, Boolean printLabel, Integer logCreatedBy, Date logCreatedWhen, net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollDateCategoryEnum xcollDateCategoryEnumByCollectionDateCategory, net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollDateCategoryEnum xcollDateCategoryEnumByAccessionDateCategory, net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollLabelTypeEnum xcollLabelTypeEnum, net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollLabelTranscriptionEnum xcollLabelTranscriptionEnum, Set collectionStorages, Set collectionProjects, Set collectionDuplicates, Set collectingPersons, Set collectionImages, Set collectionGeographies, Set identificationUnits) {
        this.collectionSpecimenId = collectionSpecimenId;
        this.collectionDateCache = collectionDateCache;
        this.collectionDay = collectionDay;
        this.collectionMonth = collectionMonth;
        this.collectionYear = collectionYear;
        this.collectionDateSupplement = collectionDateSupplement;
        this.localityDescription = localityDescription;
        this.labelTitle = labelTitle;
        this.labelTranscriptionNotes = labelTranscriptionNotes;
        this.accessionNumber = accessionNumber;
        this.accessionDay = accessionDay;
        this.accessionMonth = accessionMonth;
        this.accessionYear = accessionYear;
        this.accessionDateSupplement = accessionDateSupplement;
        this.exsiccataId = exsiccataId;
        this.exsiccataAbbreviation = exsiccataAbbreviation;
        this.exsiccataNumber = exsiccataNumber;
        this.depositorsName = depositorsName;
        this.depositorsAccessionNumber = depositorsAccessionNumber;
        this.originalNotes = originalNotes;
        this.additionalNotes = additionalNotes;
        this.loanInformation = loanInformation;
        this.problems = problems;
        this.printLabel = printLabel;
        this.logCreatedBy = logCreatedBy;
        this.logCreatedWhen = logCreatedWhen;
        this.xcollDateCategoryEnumByCollectionDateCategory = xcollDateCategoryEnumByCollectionDateCategory;
        this.xcollDateCategoryEnumByAccessionDateCategory = xcollDateCategoryEnumByAccessionDateCategory;
        this.xcollLabelTypeEnum = xcollLabelTypeEnum;
        this.xcollLabelTranscriptionEnum = xcollLabelTranscriptionEnum;
        this.collectionStorages = collectionStorages;
        this.collectionProjects = collectionProjects;
        this.collectionDuplicates = collectionDuplicates;
        this.collectingPersons = collectingPersons;
        this.collectionImages = collectionImages;
        this.collectionGeographies = collectionGeographies;
        this.identificationUnits = identificationUnits;
    }

    /** default constructor */
    public CollectionSpecimen() {
    }

    /** minimal constructor */
    public CollectionSpecimen(Integer collectionSpecimenId, net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollDateCategoryEnum xcollDateCategoryEnumByCollectionDateCategory, net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollDateCategoryEnum xcollDateCategoryEnumByAccessionDateCategory, net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollLabelTypeEnum xcollLabelTypeEnum, net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollLabelTranscriptionEnum xcollLabelTranscriptionEnum, Set collectionStorages, Set collectionProjects, Set collectionDuplicates, Set collectingPersons, Set collectionImages, Set collectionGeographies, Set identificationUnits) {
        this.collectionSpecimenId = collectionSpecimenId;
        this.xcollDateCategoryEnumByCollectionDateCategory = xcollDateCategoryEnumByCollectionDateCategory;
        this.xcollDateCategoryEnumByAccessionDateCategory = xcollDateCategoryEnumByAccessionDateCategory;
        this.xcollLabelTypeEnum = xcollLabelTypeEnum;
        this.xcollLabelTranscriptionEnum = xcollLabelTranscriptionEnum;
        this.collectionStorages = collectionStorages;
        this.collectionProjects = collectionProjects;
        this.collectionDuplicates = collectionDuplicates;
        this.collectingPersons = collectingPersons;
        this.collectionImages = collectionImages;
        this.collectionGeographies = collectionGeographies;
        this.identificationUnits = identificationUnits;
    }

    public Integer getCollectionSpecimenId() {
        return this.collectionSpecimenId;
    }

    public void setCollectionSpecimenId(Integer collectionSpecimenId) {
        this.collectionSpecimenId = collectionSpecimenId;
    }

    public Date getCollectionDateCache() {
        return this.collectionDateCache;
    }

    public void setCollectionDateCache(Date collectionDateCache) {
        this.collectionDateCache = collectionDateCache;
    }

    public Short getCollectionDay() {
        return this.collectionDay;
    }

    public void setCollectionDay(Short collectionDay) {
        this.collectionDay = collectionDay;
    }

    public Short getCollectionMonth() {
        return this.collectionMonth;
    }

    public void setCollectionMonth(Short collectionMonth) {
        this.collectionMonth = collectionMonth;
    }

    public Short getCollectionYear() {
        return this.collectionYear;
    }

    public void setCollectionYear(Short collectionYear) {
        this.collectionYear = collectionYear;
    }

    public String getCollectionDateSupplement() {
        return this.collectionDateSupplement;
    }

    public void setCollectionDateSupplement(String collectionDateSupplement) {
        this.collectionDateSupplement = collectionDateSupplement;
    }

    public String getLocalityDescription() {
        return this.localityDescription;
    }

    public void setLocalityDescription(String localityDescription) {
        this.localityDescription = localityDescription;
    }

    public String getLabelTitle() {
        return this.labelTitle;
    }

    public void setLabelTitle(String labelTitle) {
        this.labelTitle = labelTitle;
    }

    public String getLabelTranscriptionNotes() {
        return this.labelTranscriptionNotes;
    }

    public void setLabelTranscriptionNotes(String labelTranscriptionNotes) {
        this.labelTranscriptionNotes = labelTranscriptionNotes;
    }

    public String getAccessionNumber() {
        return this.accessionNumber;
    }

    public void setAccessionNumber(String accessionNumber) {
        this.accessionNumber = accessionNumber;
    }

    public Short getAccessionDay() {
        return this.accessionDay;
    }

    public void setAccessionDay(Short accessionDay) {
        this.accessionDay = accessionDay;
    }

    public Short getAccessionMonth() {
        return this.accessionMonth;
    }

    public void setAccessionMonth(Short accessionMonth) {
        this.accessionMonth = accessionMonth;
    }

    public Short getAccessionYear() {
        return this.accessionYear;
    }

    public void setAccessionYear(Short accessionYear) {
        this.accessionYear = accessionYear;
    }

    public String getAccessionDateSupplement() {
        return this.accessionDateSupplement;
    }

    public void setAccessionDateSupplement(String accessionDateSupplement) {
        this.accessionDateSupplement = accessionDateSupplement;
    }

    public Integer getExsiccataId() {
        return this.exsiccataId;
    }

    public void setExsiccataId(Integer exsiccataId) {
        this.exsiccataId = exsiccataId;
    }

    public String getExsiccataAbbreviation() {
        return this.exsiccataAbbreviation;
    }

    public void setExsiccataAbbreviation(String exsiccataAbbreviation) {
        this.exsiccataAbbreviation = exsiccataAbbreviation;
    }

    public String getExsiccataNumber() {
        return this.exsiccataNumber;
    }

    public void setExsiccataNumber(String exsiccataNumber) {
        this.exsiccataNumber = exsiccataNumber;
    }

    public String getDepositorsName() {
        return this.depositorsName;
    }

    public void setDepositorsName(String depositorsName) {
        this.depositorsName = depositorsName;
    }

    public String getDepositorsAccessionNumber() {
        return this.depositorsAccessionNumber;
    }

    public void setDepositorsAccessionNumber(String depositorsAccessionNumber) {
        this.depositorsAccessionNumber = depositorsAccessionNumber;
    }

    public String getOriginalNotes() {
        return this.originalNotes;
    }

    public void setOriginalNotes(String originalNotes) {
        this.originalNotes = originalNotes;
    }

    public String getAdditionalNotes() {
        return this.additionalNotes;
    }

    public void setAdditionalNotes(String additionalNotes) {
        this.additionalNotes = additionalNotes;
    }

    public String getLoanInformation() {
        return this.loanInformation;
    }

    public void setLoanInformation(String loanInformation) {
        this.loanInformation = loanInformation;
    }

    public String getProblems() {
        return this.problems;
    }

    public void setProblems(String problems) {
        this.problems = problems;
    }

    public Boolean getPrintLabel() {
        return this.printLabel;
    }

    public void setPrintLabel(Boolean printLabel) {
        this.printLabel = printLabel;
    }

    public Integer getLogCreatedBy() {
        return this.logCreatedBy;
    }

    public void setLogCreatedBy(Integer logCreatedBy) {
        this.logCreatedBy = logCreatedBy;
    }

    public Date getLogCreatedWhen() {
        return this.logCreatedWhen;
    }

    public void setLogCreatedWhen(Date logCreatedWhen) {
        this.logCreatedWhen = logCreatedWhen;
    }

    public net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollDateCategoryEnum getXcollDateCategoryEnumByCollectionDateCategory() {
        return this.xcollDateCategoryEnumByCollectionDateCategory;
    }

    public void setXcollDateCategoryEnumByCollectionDateCategory(net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollDateCategoryEnum xcollDateCategoryEnumByCollectionDateCategory) {
        this.xcollDateCategoryEnumByCollectionDateCategory = xcollDateCategoryEnumByCollectionDateCategory;
    }

    public net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollDateCategoryEnum getXcollDateCategoryEnumByAccessionDateCategory() {
        return this.xcollDateCategoryEnumByAccessionDateCategory;
    }

    public void setXcollDateCategoryEnumByAccessionDateCategory(net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollDateCategoryEnum xcollDateCategoryEnumByAccessionDateCategory) {
        this.xcollDateCategoryEnumByAccessionDateCategory = xcollDateCategoryEnumByAccessionDateCategory;
    }

    public net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollLabelTypeEnum getXcollLabelTypeEnum() {
        return this.xcollLabelTypeEnum;
    }

    public void setXcollLabelTypeEnum(net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollLabelTypeEnum xcollLabelTypeEnum) {
        this.xcollLabelTypeEnum = xcollLabelTypeEnum;
    }

    public net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollLabelTranscriptionEnum getXcollLabelTranscriptionEnum() {
        return this.xcollLabelTranscriptionEnum;
    }

    public void setXcollLabelTranscriptionEnum(net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollLabelTranscriptionEnum xcollLabelTranscriptionEnum) {
        this.xcollLabelTranscriptionEnum = xcollLabelTranscriptionEnum;
    }

    public Set getCollectionStorages() {
        return this.collectionStorages;
    }

    public void setCollectionStorages(Set collectionStorages) {
        this.collectionStorages = collectionStorages;
    }

    public Set getCollectionProjects() {
        return this.collectionProjects;
    }

    public void setCollectionProjects(Set collectionProjects) {
        this.collectionProjects = collectionProjects;
    }

    public Set getCollectionDuplicates() {
        return this.collectionDuplicates;
    }

    public void setCollectionDuplicates(Set collectionDuplicates) {
        this.collectionDuplicates = collectionDuplicates;
    }

    public Set getCollectingPersons() {
        return this.collectingPersons;
    }

    public void setCollectingPersons(Set collectingPersons) {
        this.collectingPersons = collectingPersons;
    }

    public Set getCollectionImages() {
        return this.collectionImages;
    }

    public void setCollectionImages(Set collectionImages) {
        this.collectionImages = collectionImages;
    }

    public Set getCollectionGeographies() {
        return this.collectionGeographies;
    }

    public void setCollectionGeographies(Set collectionGeographies) {
        this.collectionGeographies = collectionGeographies;
    }

    public Set getIdentificationUnits() {
        return this.identificationUnits;
    }

    public void setIdentificationUnits(Set identificationUnits) {
        this.identificationUnits = identificationUnits;
    }

    public String toString() {
        return new ToStringBuilder(this)
            .append("collectionSpecimenId", getCollectionSpecimenId())
            .toString();
    }

}
