/*
 * LiasMainDatabaseTransfer.java
 *
 * Created on December 19, 2006, 9:52 AM
 */

package net.metadiversity.diversity.navigator.util;

import java.sql.Connection;
import java.sql.SQLException;

/**
 *
 * @author  didi
 */
public class LiasMainDatabaseTransfer extends javax.swing.JFrame 
{   
    private static String src_prefix;
    private static String src_driver;
    private static String src_url;
    private static String src_user;
    private static String src_pwd;    
    private static String src_TableName;
    
    private static String dest_prefix;
    private static String dest_driver;
    private static String dest_url;
    private static String dest_user;
    private static String dest_pwd;
    private static String dest_TableName; 

    Connection srcCon   = null;
    Connection destCon  = null;
    
    /** Creates new form LiasMainDatabaseTransfer */
    public LiasMainDatabaseTransfer() 
    {
        java.util.ResourceBundle b;
        try 
        {
            b = java.util.ResourceBundle.getBundle("LiasMainDatabaseTransfer");
        } 
        catch( java.util.MissingResourceException ex )
        {
            b = null;
        } 

        if( b == null )
        {    
            src_prefix = "src_prefix";
            src_driver = "src_driver";
            src_url    = "src_url";
            src_user   = "src_user";
            src_pwd    = "src_pwd";

            dest_prefix = "dest_prefix";
            dest_driver = "dest_driver";
            dest_url    = "dest_url";
            dest_user   = "dest_user";
            dest_pwd    = "dest_pwd";
        }
        else
        {
            src_prefix = b.getString( "SourcePrefix"    );
            src_driver = b.getString( "SourceDriverClass");
            src_url    = b.getString( "SourceDatabase"  );
            src_user   = b.getString( "SourceUser"      );
            src_pwd    = b.getString( "SourcePassword"  );

            dest_prefix = b.getString( "DestinationPrefix"    );
            dest_driver = b.getString( "DestinationDriverClass");
            dest_url    = b.getString( "DestinationDatabase"  );
            dest_user   = b.getString( "DestinationUser"      );
            dest_pwd    = b.getString( "DestinationPassword"  );
        }
/*        
        "jdbc:access:/c:/DeltaAccess.mdb"
        "com.hxtt.sql.access.AccessDriver"
        ""
        "" 
                
        "org.driver.postgresql"
        "jdbc:postgresql://141.84.65.114:5432/LiasTestDatabase"        
 */
        initComponents();
   
        accessPrefix.setText(   src_prefix );
        accessDatabase.setText( src_url );
        accessDriver.setText(   src_driver );
        accessUser.setText(     src_user );
        accessPassword.setText( src_pwd );
        
        postgresPrefix.setText(   dest_prefix );
        postgresDatabase.setText( dest_url );
        postgresDriver.setText(   dest_driver );
        postgresUser.setText(     dest_user );
        postgresPassword.setText( dest_pwd );
        
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc=" Generated Code ">//GEN-BEGIN:initComponents
    private void initComponents() {
        HeaderLabel = new javax.swing.JLabel();
        AccessLabel = new javax.swing.JLabel();
        access = new javax.swing.JPanel();
        jLabel3 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        accessPrefix = new javax.swing.JTextField();
        accessDriver = new javax.swing.JTextField();
        accessDatabase = new javax.swing.JTextField();
        jLabel12 = new javax.swing.JLabel();
        jLabel13 = new javax.swing.JLabel();
        accessUser = new javax.swing.JTextField();
        accessPassword = new javax.swing.JPasswordField();
        PostgresLabel = new javax.swing.JLabel();
        postgres = new javax.swing.JPanel();
        jLabel7 = new javax.swing.JLabel();
        postgresPrefix = new javax.swing.JTextField();
        jLabel8 = new javax.swing.JLabel();
        jLabel9 = new javax.swing.JLabel();
        postgresDriver = new javax.swing.JTextField();
        postgresDatabase = new javax.swing.JTextField();
        jLabel10 = new javax.swing.JLabel();
        jLabel11 = new javax.swing.JLabel();
        postgresUser = new javax.swing.JTextField();
        postgresPassword = new javax.swing.JPasswordField();
        run = new javax.swing.JPanel();
        startDataTransfer = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        HeaderLabel.setFont(new java.awt.Font("Dialog", 1, 14));
        HeaderLabel.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        HeaderLabel.setText("LiasMain Database Transfer");

        AccessLabel.setText("Source Database MS-Access");

        jLabel3.setText("Prefix :");

        jLabel4.setText("JDBC Driver :");

        jLabel5.setText("Database :");

        accessPrefix.setName("");

        accessDriver.setName("accessDriver");

        jLabel12.setText("Username :");

        jLabel13.setText("Password :");

        accessUser.setName("accessUser");

        accessPassword.setName("accessPassword");

        org.jdesktop.layout.GroupLayout accessLayout = new org.jdesktop.layout.GroupLayout(access);
        access.setLayout(accessLayout);
        accessLayout.setHorizontalGroup(
            accessLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(accessLayout.createSequentialGroup()
                .addContainerGap()
                .add(accessLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jLabel3)
                    .add(jLabel4)
                    .add(jLabel5)
                    .add(jLabel12)
                    .add(jLabel13))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(accessLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(accessDriver, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 352, Short.MAX_VALUE)
                    .add(accessPrefix, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 352, Short.MAX_VALUE)
                    .add(accessUser, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 352, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, accessPassword, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 352, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, accessDatabase, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 352, Short.MAX_VALUE)))
        );
        accessLayout.setVerticalGroup(
            accessLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(accessLayout.createSequentialGroup()
                .addContainerGap()
                .add(accessLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel3)
                    .add(accessPrefix, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(accessLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel4)
                    .add(accessDriver, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(15, 15, 15)
                .add(accessLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel5)
                    .add(accessDatabase, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(accessLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel12)
                    .add(accessUser, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(accessLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel13)
                    .add(accessPassword, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(38, Short.MAX_VALUE))
        );

        PostgresLabel.setText("Destination Database PostgreSQL");

        jLabel7.setText("Prefix :");

        jLabel8.setText("JDBC Driver :");

        jLabel9.setText("Database :");

        jLabel10.setText("Username :");

        jLabel11.setText("Password :");

        org.jdesktop.layout.GroupLayout postgresLayout = new org.jdesktop.layout.GroupLayout(postgres);
        postgres.setLayout(postgresLayout);
        postgresLayout.setHorizontalGroup(
            postgresLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(postgresLayout.createSequentialGroup()
                .addContainerGap()
                .add(postgresLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jLabel7)
                    .add(jLabel8)
                    .add(jLabel10)
                    .add(jLabel11)
                    .add(jLabel9))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .add(postgresLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                    .add(postgresPassword)
                    .add(postgresUser)
                    .add(postgresDatabase)
                    .add(postgresDriver)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, postgresPrefix, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 347, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );
        postgresLayout.setVerticalGroup(
            postgresLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(postgresLayout.createSequentialGroup()
                .addContainerGap()
                .add(postgresLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel7)
                    .add(postgresPrefix, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(postgresLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel8)
                    .add(postgresDriver, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(15, 15, 15)
                .add(postgresLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(postgresDatabase, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel9))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(postgresLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel10)
                    .add(postgresUser, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(postgresLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel11)
                    .add(postgresPassword, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(27, Short.MAX_VALUE))
        );

        startDataTransfer.setText("Start Database Transfer");
        startDataTransfer.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                startDataTransferActionPerformed(evt);
            }
        });
        startDataTransfer.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                startDataTransferMouseClicked(evt);
            }
        });

        org.jdesktop.layout.GroupLayout runLayout = new org.jdesktop.layout.GroupLayout(run);
        run.setLayout(runLayout);
        runLayout.setHorizontalGroup(
            runLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, runLayout.createSequentialGroup()
                .addContainerGap(110, Short.MAX_VALUE)
                .add(startDataTransfer)
                .add(102, 102, 102))
        );
        runLayout.setVerticalGroup(
            runLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, runLayout.createSequentialGroup()
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .add(startDataTransfer))
        );

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(run, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                                .add(org.jdesktop.layout.GroupLayout.LEADING, AccessLabel, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .add(org.jdesktop.layout.GroupLayout.LEADING, HeaderLabel, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 415, Short.MAX_VALUE))
                            .add(PostgresLabel))
                        .add(1008, 1008, 1008))
                    .add(layout.createSequentialGroup()
                        .add(postgres, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(966, 966, 966))
                    .add(layout.createSequentialGroup()
                        .add(access, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addContainerGap(966, Short.MAX_VALUE))))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(HeaderLabel)
                .add(19, 19, 19)
                .add(AccessLabel)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(access, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(PostgresLabel)
                .add(48, 48, 48)
                .add(postgres, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(61, 61, 61)
                .add(run, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );
        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void startDataTransferMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_startDataTransferMouseClicked
// TODO add your handling code here:


    }//GEN-LAST:event_startDataTransferMouseClicked
    
    private void startDataTransferActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_startDataTransferActionPerformed
    // Start Data Transfer
        transferData();
    }//GEN-LAST:event_startDataTransferActionPerformed
    
    public void transferData()
    {
        //-------------------------------
        // Build connection to Source DB
        //-------------------------------
        src_driver      = accessDriver.getText().trim();
        src_url         = accessDatabase.getText().trim();
        src_user        = accessUser.getText().trim();
        src_pwd         = String.valueOf( accessPassword.getPassword() );    
        
        src_prefix      = accessPrefix.getText().trim();
        
        // private static String src_TableName;        
        try
        {
            System.out.println( "Load " + src_driver );
            Class.forName( src_driver );
            System.out.println( "OK" );
        }
        catch( java.lang.ClassNotFoundException ee )
        {
            System.out.println( "ClassNotFoundException: " );
            System.out.println( ee.getMessage() );
            
            System.exit( 1 );
        }
        try
        {
            System.out.println( "Connect to " +  src_url );
            srcCon = java.sql.DriverManager.getConnection( src_url, src_user, src_pwd );
            System.out.println( "OK" );
        }            
        catch( java.sql.SQLException ex )
        {
            System.out.println( ex.getMessage() );             
            System.exit( 2 );
        }
        //-----------------------------------
        // Build connection to Destination DB
        //-----------------------------------
        dest_driver     = postgresDriver.getText().trim();        
        dest_url        = postgresDatabase.getText().trim();
        dest_user       = postgresUser.getText().trim();
        dest_pwd        = String.valueOf( postgresPassword.getPassword() );

        dest_prefix      = postgresPrefix.getText().trim();
        
        // dest_TableName;        
        try
        {
            System.out.println( "Load "  + dest_driver );
            Class.forName( dest_driver );
            System.out.println( "OK" );
        }
        catch( java.lang.ClassNotFoundException ee )
        {
            System.out.println( "ClassNotFoundException: " );
            System.out.println( ee.getMessage() );
            
            System.exit( 3 );
        }
        try
        {
            System.out.println( "Connect to " +  dest_url );
            destCon = java.sql.DriverManager.getConnection( dest_url, dest_user, dest_pwd );
            System.out.println( "OK" );
        }            
        catch( java.sql.SQLException ex )
        {
            System.out.println( ex.getMessage() );             
            System.exit( 4 );
        }     
        
        transferTableData( "_CHAR_Heading" );
        transferTableData( "_CHAR_Heading_Translation" );
        transferTableData( "_CHAR_Translation" );
        transferTableData( "_CHAR" );
        transferTableData( "_CHAR_Heading_Link" );
        transferTableData( "_CS" );
        transferTableData( "_CS_Translation" );
        transferTableData( "_CurrentLanguage" );
        transferTableData( "_DEP" );
        transferTableData( "_ITEM" );
        transferTableData( "_ItemScope" );
        transferTableData( "_MOD" );
        transferTableData( "_DESCR" );
        transferTableData( "_MOD_Link" );
        transferTableData( "_MOD_Translation" );
        transferTableData( "_PROPERTY" );
        transferTableData( "_RSC" );
        transferTableData( "_ReportElement" );

        System.exit( 0 );

    }    
    //--------------------------------------------------------------------------
    public void transferTableData( String table )
    {
        //----------------------------------------------------------------------
        // Table Field Names
        //----------------------------------------------------------------------
        
        src_TableName  = src_prefix + table;
        dest_TableName = dest_prefix + table;
        
        System.out.println( "Source: " + src_TableName );
        System.out.println( "Destination: " + dest_TableName );
        
        
        String catalog = "";
        String schemaPattern  = "";
        String tableNamePattern = dest_TableName;
        String columnNamePattern = "";
        
        
        System.out.println( "-------------------------------");
        System.out.println( "Destionation TableColumnNames: ");
        System.out.println( "-------------------------------");
        
        
        java.util.Vector columnNames = new java.util.Vector();
        
        java.sql.ResultSet res;
        try 
        {
            res = destCon.getMetaData().getColumns( catalog, schemaPattern, tableNamePattern, columnNamePattern );
            
            while( res.next() )
            {
                System.out.println( res.getString( 4 ) + "\t " + res.getString( 6 )  + "\t " + res.getString( 7 ));
                columnNames.add( res.getString( 4 ) ); // store columnNames
            }
        } 
        catch( SQLException ex ) 
        {
            ex.printStackTrace();
        }
        //----------------------------------------------------------------------
        // Copy Data to destination Database
        //----------------------------------------------------------------------


            StringBuffer sqlInsertStatement = new StringBuffer();
            StringBuffer sqlFields = new StringBuffer();
            StringBuffer sqlValues = new StringBuffer();
            
            sqlInsertStatement.append( "INSERT INTO " + "\"" + dest_TableName + "\" ( " );
            // add fields
            for( int i = 0; i < columnNames.size(); i++ )
            {   
                if( i > 0 )
                {
                    sqlFields.append( ", ");
                    sqlValues.append( ", ");
                }
                sqlFields.append( "\"" + columnNames.get( i ) + "\"" );
                sqlValues.append( "?");
            }
            String sql =  sqlInsertStatement.toString() + sqlFields.toString() + ") VALUES ( " + sqlValues.toString() +" );";
            System.out.println( sql );
            
            java.sql.PreparedStatement pstmt;
            try 
            {
                pstmt = destCon.prepareStatement( sql );
                

                int columnSize = columnNames.size();     


                String src_select = "SELECT * FROM " + src_TableName;
                
                java.sql.Statement stmt = srcCon.createStatement();
              
                java.sql.ResultSet src_dataResultSet = stmt.executeQuery( src_select ); 
                
                int num = 0;
                while( src_dataResultSet.next() )
                {
                    num++;
                    if( num % 10 == 0 ) System.out.print( "." );
                    if( num % 800 == 0 ) System.out.println( "." );
                    pstmt.clearParameters();                
                    for( int c = 0; c < columnSize; c++ )
                    {
                        
                        // System.out.println( (String) columnNames.get( c ) + " " +  src_dataResultSet.getString( c + 1 ) );
                        pstmt.setObject( c + 1, src_dataResultSet.getObject( c + 1 ) );
                        //pstmt.setString( c + 1, src_dataResultSet.getString( c + 1 ) );
                    }
                    pstmt.execute();
                }
                System.out.println( "" );
                System.out.println( "total copied rows : " + num );
                System.out.println( "" );
            } 
            catch (SQLException ex) 
            {
                ex.printStackTrace();
            }            
        }      
    
    /**
     * @param args the command line arguments
     */
    public static void main( String args[] ) 
    {
        java.awt.EventQueue.invokeLater( new Runnable() 
        {
            public void run() 
            {
                LiasMainDatabaseTransfer lmdt = new LiasMainDatabaseTransfer();
                
                lmdt.setSize( 500, 600 );
                lmdt.setVisible( true );
            }
        });
    }    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel AccessLabel;
    private javax.swing.JLabel HeaderLabel;
    private javax.swing.JLabel PostgresLabel;
    private javax.swing.JPanel access;
    private javax.swing.JTextField accessDatabase;
    private javax.swing.JTextField accessDriver;
    private javax.swing.JPasswordField accessPassword;
    private javax.swing.JTextField accessPrefix;
    private javax.swing.JTextField accessUser;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JPanel postgres;
    private javax.swing.JTextField postgresDatabase;
    private javax.swing.JTextField postgresDriver;
    private javax.swing.JPasswordField postgresPassword;
    private javax.swing.JTextField postgresPrefix;
    private javax.swing.JTextField postgresUser;
    private javax.swing.JPanel run;
    private javax.swing.JButton startDataTransfer;
    // End of variables declaration//GEN-END:variables
    
}
