package net.metadiversity.diversity.navikey.bo;

import java.util.Vector;

/**
 * ResourceState is a special TextState -- it deals with Resources or
 * multimedia objects
 * @author Michael Bartley
 * 7/16/98
 */

public class ResourceState extends State
{
    private Resource resource;
    
    //--------------------------------------------------------------------------
    //--------------------------------------------------------------------------
    public ResourceState()
    {
        super();
    }
    //--------------------------------------------------------------------------
    //--------------------------------------------------------------------------
    public ResourceState(Resource r)
    {
        super();
        resource = r;
    }
    //--------------------------------------------------------------------------
    //--------------------------------------------------------------------------
    public void setResource(Resource r)
    {
        resource = r;
    }
    //--------------------------------------------------------------------------
    //--------------------------------------------------------------------------
    public Resource getResource()
    {
        return resource;
    }
    //--------------------------------------------------------------------------
    //--------------------------------------------------------------------------
    // ???
    public boolean containedIn(Vector v)
    {
        return false;
    }
    //--------------------------------------------------------------------------
    //--------------------------------------------------------------------------
    public String toString()
    {
        return resource.getLocation().toString() + "\n" + resource.getMimeType();
    }
    //--------------------------------------------------------------------------
    //--------------------------------------------------------------------------
    public String getStringValue()
    {
        return toString();
    }
    //--------------------------------------------------------------------------
    //--------------------------------------------------------------------------
    public void print()
    {
        System.out.println(toString());
    }
}
