package net.metadiversity.diversity.navigator.hibernate.bsm;

import java.io.Serializable;
import java.util.Date;
import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;


/** @author Hibernate CodeGenerator */
public class TaxonNameLogPK implements Serializable {

    /**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 3256999960670319664L;

    /** identifier field */
    private Integer nameId;

    /** identifier field */
    private Date logDate;

    /** full constructor */
    public TaxonNameLogPK(Integer nameId, Date logDate) {
        this.nameId = nameId;
        this.logDate = logDate;
    }

    /** default constructor */
    public TaxonNameLogPK() {
    }

    /** 
     *                @hibernate.property
     *                 column="NameID"
     *                 length="10"
     *             
     */
    public Integer getNameId() {
        return this.nameId;
    }

    public void setNameId(Integer nameId) {
        this.nameId = nameId;
    }

    /** 
     *                @hibernate.property
     *                 column="LogDate"
     *                 length="23"
     *             
     */
    public Date getLogDate() {
        return this.logDate;
    }

    public void setLogDate(Date logDate) {
        this.logDate = logDate;
    }

    public String toString() {
        return new ToStringBuilder(this)
            .append("nameId", getNameId())
            .append("logDate", getLogDate())
            .toString();
    }

    public boolean equals(Object other) {
        if ( (this == other ) ) return true;
        if ( !(other instanceof TaxonNameLogPK) ) return false;
        TaxonNameLogPK castOther = (TaxonNameLogPK) other;
        return new EqualsBuilder()
            .append(this.getNameId(), castOther.getNameId())
            .append(this.getLogDate(), castOther.getLogDate())
            .isEquals();
    }

    public int hashCode() {
        return new HashCodeBuilder()
            .append(getNameId())
            .append(getLogDate())
            .toHashCode();
    }

}
