package net.metadiversity.diversity.navigator.hibernate.ubt.collection;

import java.io.Serializable;
import org.apache.commons.lang.builder.ToStringBuilder;


/** @author Hibernate CodeGenerator */
public class PgaLayout implements Serializable {

    /**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 3257854281104503602L;

    /** identifier field */
    private String tablename;

    /** nullable persistent field */
    private Short nrcols;

    /** nullable persistent field */
    private String colnames;

    /** nullable persistent field */
    private String colwidth;

    /** full constructor */
    public PgaLayout(String tablename, Short nrcols, String colnames, String colwidth) {
        this.tablename = tablename;
        this.nrcols = nrcols;
        this.colnames = colnames;
        this.colwidth = colwidth;
    }

    /** default constructor */
    public PgaLayout() {
    }

    /** minimal constructor */
    public PgaLayout(String tablename) {
        this.tablename = tablename;
    }

    public String getTablename() {
        return this.tablename;
    }

    public void setTablename(String tablename) {
        this.tablename = tablename;
    }

    public Short getNrcols() {
        return this.nrcols;
    }

    public void setNrcols(Short nrcols) {
        this.nrcols = nrcols;
    }

    public String getColnames() {
        return this.colnames;
    }

    public void setColnames(String colnames) {
        this.colnames = colnames;
    }

    public String getColwidth() {
        return this.colwidth;
    }

    public void setColwidth(String colwidth) {
        this.colwidth = colwidth;
    }

    public String toString() {
        return new ToStringBuilder(this)
            .append("tablename", getTablename())
            .toString();
    }

}
