/*
 * DeleteFormItemsFile.java
 *
 * Created on February 28, 2007, 11:12 AM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package net.metadiversity.diversity.navikey.util;

import java.io.IOException;

/**
 *
 * @author didi
 */
public class DeleteFormItemsFile 
{    
    static String itemStart = "#";
    /**
     * Creates a new instance of DeleteFormItemsFile
     */
    public DeleteFormItemsFile( String regex ) 
    {
        java.io.BufferedReader in  = new java.io.BufferedReader( new java.io.InputStreamReader( System.in ) );
        java.io.BufferedWriter out = new java.io.BufferedWriter( new java.io.OutputStreamWriter( System.out ) );
        
        boolean skipLines = false;
        
        try 
        {            
            String str = null;
            
            while( true )
            {
                str = in.readLine();
                
                if( str == null ) break;
                    
                if( str.startsWith( itemStart ) )
                {
                    // out.write( str );
                    
                    if( str.matches( regex ) )
                    {
                        skipLines = true;
                    } 
                    else
                    {
                        skipLines = false;
                    }
                }
                    
                if( ! skipLines ) 
                {
                    out.write( str );
                    out.newLine();
                }
            }
            out.flush();
            out.close();
        } 
        catch ( IOException ex ) 
        {
            ex.printStackTrace();
        }
        
    }
    
    public static void main( String args[] )
    {
        if( args.length == 0 || args.length > 1 )
        {
            System.err.println( "Usage: DeleteFromItemsFile regex" );
            System.exit( 0 );
        }
        // System.out.println( args[ 0 ] );
        new DeleteFormItemsFile( args[ 0 ] );
    }
}
